summaryrefslogtreecommitdiff
path: root/contrib/regression
diff options
context:
space:
mode:
authorGeoffrey Keating <geoffk@apple.com>2002-10-11 20:23:21 +0000
committerGeoffrey Keating <geoffk@gcc.gnu.org>2002-10-11 20:23:21 +0000
commitca91148bcd4fd17dea7dbd0407e491e0cfd5ee3d (patch)
tree9e9e1cd2000ef7f031686e36fd6bd2ae144a5c12 /contrib/regression
parentdac45b5c091237cb7e8f723e75b3897a8f763432 (diff)
downloadgcc-ca91148bcd4fd17dea7dbd0407e491e0cfd5ee3d.tar.gz
objs-gcc.sh: Don't install GDB testsuite if GDB was not built.
* objs-gcc.sh: Don't install GDB testsuite if GDB was not built. * btest-gcc.sh: Don't run GDB testsuite if it doesn't exist. From-SVN: r58062
Diffstat (limited to 'contrib/regression')
-rw-r--r--contrib/regression/ChangeLog5
-rwxr-xr-xcontrib/regression/btest-gcc.sh4
-rwxr-xr-xcontrib/regression/objs-gcc.sh16
3 files changed, 18 insertions, 7 deletions
diff --git a/contrib/regression/ChangeLog b/contrib/regression/ChangeLog
index f482b771ff9..9b3406a71c2 100644
--- a/contrib/regression/ChangeLog
+++ b/contrib/regression/ChangeLog
@@ -1,3 +1,8 @@
+2002-10-11 Geoffrey Keating <geoffk@apple.com>
+
+ * objs-gcc.sh: Don't install GDB testsuite if GDB was not built.
+ * btest-gcc.sh: Don't run GDB testsuite if it doesn't exist.
+
2002-10-09 Phil Edwards <pme@gcc.gnu.org>
* btest-gcc.sh, objs-gcc.sh: Update TARGET comments.
diff --git a/contrib/regression/btest-gcc.sh b/contrib/regression/btest-gcc.sh
index 2f172645e8d..7dfddb86ed6 100755
--- a/contrib/regression/btest-gcc.sh
+++ b/contrib/regression/btest-gcc.sh
@@ -127,6 +127,7 @@ make check-target-libstdc++-v3
# Test the just-built GCC with the GDB testsuite.
mkdir test-gdb || exit 1
+if [ -d $GDB_TESTSUITE ] ; then
cd $GDB_TESTSUITE || exit 1
for i in gdb.* ; do
if [ -d $i ] ; then
@@ -142,6 +143,9 @@ echo "set build_alias $H_BUILD" >> site.exp
echo "set build_triplet $H_BUILD" >> site.exp
echo "set srcdir $GDB_TESTSUITE" >> site.exp
runtest --tool gdb
+else
+ echo 'gdb tests not run' > $BUILD/test-gdb/gdb.sum
+fi
# Sanity-check the testlogs. They should contain at least one PASS.
cd $BUILD || exit 1
diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
index 0e37ee88af9..cc152d1f80c 100755
--- a/contrib/regression/objs-gcc.sh
+++ b/contrib/regression/objs-gcc.sh
@@ -113,13 +113,15 @@ else
make install || exit 1
fi
-mkdir -p $PREFIX/share/gdb-testsuite || exit 1
-cd $SOURCE/gdb/testsuite || exit 1
-find . -print | cpio -pdmu $PREFIX/share/gdb-testsuite || exit 1
-# selftest.exp requires keeping old sources around, which is impractical
-rm $PREFIX/share/gdb-testsuite/gdb.base/selftest.exp
-# these tests seem to be broken and randomly failing
-rm -r $PREFIX/share/gdb-testsuite/gdb.mi
+if [ -x $PREFIX/bin/$TARGET-gdb ] ; then
+ mkdir -p $PREFIX/share/gdb-testsuite || exit 1
+ cd $SOURCE/gdb/testsuite || exit 1
+ find . -print | cpio -pdmu $PREFIX/share/gdb-testsuite || exit 1
+ # selftest.exp requires keeping old sources around, which is impractical
+ rm $PREFIX/share/gdb-testsuite/gdb.base/selftest.exp
+ # these tests seem to be broken and randomly failing
+ rm -r $PREFIX/share/gdb-testsuite/gdb.mi
+fi
echo pass > $RESULT
exit 0